#include "MenuTextInventory_Player1Joystick.h"

InputSetting_Joystick* MenuTextInventory_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextInventory_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_inventory;
}

std::weak_ptr<Entity> MenuTextInventory_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextInventory_Player1Joystick()
{
	return std::make_shared<MenuTextInventory_Player1Joystick>();
}